Index: code/branches/ogre1.9/data/gui/schemes/TaharezGreenMenuWidgets.scheme
===================================================================
--- code/branches/ogre1.9/data/gui/schemes/TaharezGreenMenuWidgets.scheme	(revision 11128)
+++ code/branches/ogre1.9/data/gui/schemes/TaharezGreenMenuWidgets.scheme	(revision 11211)
@@ -1,42 +1,42 @@
-<?xml version="1.0" ?>
-<GUIScheme Name="TaharezGreenMenuWidgets">
-    <WindowAlias Alias="MenuWidgets/StaticImage"              Target="TaharezGreenLook/StaticImage" />
-    <WindowAlias Alias="MenuWidgets/StaticText"               Target="TaharezGreenLook/StaticText" />
-    <WindowAlias Alias="MenuWidgets/TabButtonPane"            Target="TaharezGreenLook/TabButtonPane" />
-    <WindowAlias Alias="MenuWidgets/TabContentPane"           Target="TaharezGreenLook/TabContentPane" />
-    <WindowAlias Alias="MenuWidgets/Checkbox"                 Target="TaharezGreenLook/Checkbox" />
-    <WindowAlias Alias="MenuWidgets/Combobox"                 Target="TaharezGreenLook/Combobox" />
-    <WindowAlias Alias="MenuWidgets/ComboDropList"            Target="TaharezGreenLook/ComboDropList" />
-    <WindowAlias Alias="MenuWidgets/ComboEditbox"             Target="TaharezGreenLook/ComboEditbox" />
-    <WindowAlias Alias="MenuWidgets/Editbox"                  Target="TaharezGreenLook/Editbox" />
-    <WindowAlias Alias="MenuWidgets/FrameWindow"              Target="TaharezGreenLook/FrameWindow" />
-    <WindowAlias Alias="MenuWidgets/GroupBox"                 Target="TaharezGreenLook/GroupBox" />
-    <WindowAlias Alias="MenuWidgets/ItemListbox"              Target="TaharezGreenLook/ItemListbox" />
-    <WindowAlias Alias="MenuWidgets/ListboxItem"              Target="TaharezGreenLook/ListboxItem" />
-    <WindowAlias Alias="MenuWidgets/Listbox"                  Target="TaharezGreenLook/Listbox" />
-    <WindowAlias Alias="MenuWidgets/ListHeader"               Target="TaharezGreenLook/ListHeader" />
-    <WindowAlias Alias="MenuWidgets/ListHeaderSegment"        Target="TaharezGreenLook/ListHeaderSegment" />
-    <WindowAlias Alias="MenuWidgets/MultiLineEditbox"         Target="TaharezGreenLook/MultiLineEditbox" />
-    <WindowAlias Alias="MenuWidgets/Menubar"                  Target="TaharezGreenLook/Menubar" />
-    <WindowAlias Alias="MenuWidgets/MenuItem"                 Target="TaharezGreenLook/MenuItem" />
-    <WindowAlias Alias="MenuWidgets/MultiColumnList"          Target="TaharezGreenLook/MultiColumnList" />
-    <WindowAlias Alias="MenuWidgets/PopupMenu"                Target="TaharezGreenLook/PopupMenu" />
-    <WindowAlias Alias="MenuWidgets/ProgressBar"              Target="TaharezGreenLook/ProgressBar" />
-    <WindowAlias Alias="MenuWidgets/Button"                   Target="TaharezGreenLook/Button" />
-    <WindowAlias Alias="MenuWidgets/ImageButton"              Target="TaharezGreenLook/ImageButton" />
-    <WindowAlias Alias="MenuWidgets/RadioButton"              Target="TaharezGreenLook/RadioButton" />
-    <WindowAlias Alias="MenuWidgets/SystemButton"             Target="TaharezGreenLook/SystemButton" />
-    <WindowAlias Alias="MenuWidgets/ScrollablePane"           Target="TaharezGreenLook/ScrollablePane" />
-    <WindowAlias Alias="MenuWidgets/HorizontalScrollbar"      Target="TaharezGreenLook/HorizontalScrollbar" />
-    <WindowAlias Alias="MenuWidgets/VerticalScrollbar"        Target="TaharezGreenLook/VerticalScrollbar" />
-    <WindowAlias Alias="MenuWidgets/Slider"                   Target="TaharezGreenLook/Slider" />
-    <WindowAlias Alias="MenuWidgets/Spinner"                  Target="TaharezGreenLook/Spinner" />
-    <WindowAlias Alias="MenuWidgets/TabButton"                Target="TaharezGreenLook/TabButton" />
-    <WindowAlias Alias="MenuWidgets/TabControl"               Target="TaharezGreenLook/TabControl" />
-    <WindowAlias Alias="MenuWidgets/HorizontalScrollbarThumb" Target="TaharezGreenLook/HorizontalScrollbarThumb" />
-    <WindowAlias Alias="MenuWidgets/SliderThumb"              Target="TaharezGreenLook/SliderThumb" />
-    <WindowAlias Alias="MenuWidgets/VerticalScrollbarThumb"   Target="TaharezGreenLook/VerticalScrollbarThumb" />
-    <WindowAlias Alias="MenuWidgets/Titlebar"                 Target="TaharezGreenLook/Titlebar" />
-    <WindowAlias Alias="MenuWidgets/Tooltip"                  Target="TaharezGreenLook/Tooltip" />
-    <WindowAlias Alias="MenuWidgets/Tree"                     Target="TaharezGreenLook/Tree" />
+<?xml version='1.0' encoding='utf-8'?>
+<GUIScheme name="TaharezGreenMenuWidgets" version="5">
+    <WindowAlias alias="MenuWidgets/StaticImage" target="TaharezGreenLook/StaticImage" />
+    <WindowAlias alias="MenuWidgets/StaticText" target="TaharezGreenLook/StaticText" />
+    <WindowAlias alias="MenuWidgets/TabButtonPane" target="TaharezGreenLook/TabButtonPane" />
+    <WindowAlias alias="MenuWidgets/TabContentPane" target="TaharezGreenLook/TabContentPane" />
+    <WindowAlias alias="MenuWidgets/Checkbox" target="TaharezGreenLook/Checkbox" />
+    <WindowAlias alias="MenuWidgets/Combobox" target="TaharezGreenLook/Combobox" />
+    <WindowAlias alias="MenuWidgets/ComboDropList" target="TaharezGreenLook/ComboDropList" />
+    <WindowAlias alias="MenuWidgets/ComboEditbox" target="TaharezGreenLook/ComboEditbox" />
+    <WindowAlias alias="MenuWidgets/Editbox" target="TaharezGreenLook/Editbox" />
+    <WindowAlias alias="MenuWidgets/FrameWindow" target="TaharezGreenLook/FrameWindow" />
+    <WindowAlias alias="MenuWidgets/GroupBox" target="TaharezGreenLook/GroupBox" />
+    <WindowAlias alias="MenuWidgets/ItemListbox" target="TaharezGreenLook/ItemListbox" />
+    <WindowAlias alias="MenuWidgets/ListboxItem" target="TaharezGreenLook/ListboxItem" />
+    <WindowAlias alias="MenuWidgets/Listbox" target="TaharezGreenLook/Listbox" />
+    <WindowAlias alias="MenuWidgets/ListHeader" target="TaharezGreenLook/ListHeader" />
+    <WindowAlias alias="MenuWidgets/ListHeaderSegment" target="TaharezGreenLook/ListHeaderSegment" />
+    <WindowAlias alias="MenuWidgets/MultiLineEditbox" target="TaharezGreenLook/MultiLineEditbox" />
+    <WindowAlias alias="MenuWidgets/Menubar" target="TaharezGreenLook/Menubar" />
+    <WindowAlias alias="MenuWidgets/MenuItem" target="TaharezGreenLook/MenuItem" />
+    <WindowAlias alias="MenuWidgets/MultiColumnList" target="TaharezGreenLook/MultiColumnList" />
+    <WindowAlias alias="MenuWidgets/PopupMenu" target="TaharezGreenLook/PopupMenu" />
+    <WindowAlias alias="MenuWidgets/ProgressBar" target="TaharezGreenLook/ProgressBar" />
+    <WindowAlias alias="MenuWidgets/Button" target="TaharezGreenLook/Button" />
+    <WindowAlias alias="MenuWidgets/ImageButton" target="TaharezGreenLook/ImageButton" />
+    <WindowAlias alias="MenuWidgets/RadioButton" target="TaharezGreenLook/RadioButton" />
+    <WindowAlias alias="MenuWidgets/SystemButton" target="TaharezGreenLook/SystemButton" />
+    <WindowAlias alias="MenuWidgets/ScrollablePane" target="TaharezGreenLook/ScrollablePane" />
+    <WindowAlias alias="MenuWidgets/HorizontalScrollbar" target="TaharezGreenLook/HorizontalScrollbar" />
+    <WindowAlias alias="MenuWidgets/VerticalScrollbar" target="TaharezGreenLook/VerticalScrollbar" />
+    <WindowAlias alias="MenuWidgets/Slider" target="TaharezGreenLook/Slider" />
+    <WindowAlias alias="MenuWidgets/Spinner" target="TaharezGreenLook/Spinner" />
+    <WindowAlias alias="MenuWidgets/TabButton" target="TaharezGreenLook/TabButton" />
+    <WindowAlias alias="MenuWidgets/TabControl" target="TaharezGreenLook/TabControl" />
+    <WindowAlias alias="MenuWidgets/HorizontalScrollbarThumb" target="TaharezGreenLook/HorizontalScrollbarThumb" />
+    <WindowAlias alias="MenuWidgets/SliderThumb" target="TaharezGreenLook/SliderThumb" />
+    <WindowAlias alias="MenuWidgets/VerticalScrollbarThumb" target="TaharezGreenLook/VerticalScrollbarThumb" />
+    <WindowAlias alias="MenuWidgets/Titlebar" target="TaharezGreenLook/Titlebar" />
+    <WindowAlias alias="MenuWidgets/Tooltip" target="TaharezGreenLook/Tooltip" />
+    <WindowAlias alias="MenuWidgets/Tree" target="TaharezGreenLook/Tree" />
 </GUIScheme>
Index: code/branches/ogre1.9/data/gui/schemes/TaharezHUDWidgets.scheme
===================================================================
--- code/branches/ogre1.9/data/gui/schemes/TaharezHUDWidgets.scheme	(revision 11128)
+++ code/branches/ogre1.9/data/gui/schemes/TaharezHUDWidgets.scheme	(revision 11211)
@@ -1,42 +1,42 @@
-<?xml version="1.0" ?>
-<GUIScheme Name="TaharezHUDWidgets">
-    <WindowAlias Alias="HUDWidgets/StaticImage"              Target="TaharezLook/StaticImage" />
-    <WindowAlias Alias="HUDWidgets/StaticText"               Target="TaharezLook/StaticText" />
-    <WindowAlias Alias="HUDWidgets/TabButtonPane"            Target="TaharezLook/TabButtonPane" />
-    <WindowAlias Alias="HUDWidgets/TabContentPane"           Target="TaharezLook/TabContentPane" />
-    <WindowAlias Alias="HUDWidgets/Checkbox"                 Target="TaharezLook/Checkbox" />
-    <WindowAlias Alias="HUDWidgets/Combobox"                 Target="TaharezLook/Combobox" />
-    <WindowAlias Alias="HUDWidgets/ComboDropList"            Target="TaharezLook/ComboDropList" />
-    <WindowAlias Alias="HUDWidgets/ComboEditbox"             Target="TaharezLook/ComboEditbox" />
-    <WindowAlias Alias="HUDWidgets/Editbox"                  Target="TaharezLook/Editbox" />
-    <WindowAlias Alias="HUDWidgets/FrameWindow"              Target="TaharezLook/FrameWindow" />
-    <WindowAlias Alias="HUDWidgets/GroupBox"                 Target="TaharezLook/GroupBox" />
-    <WindowAlias Alias="HUDWidgets/ItemListbox"              Target="TaharezLook/ItemListbox" />
-    <WindowAlias Alias="HUDWidgets/ListboxItem"              Target="TaharezLook/ListboxItem" />
-    <WindowAlias Alias="HUDWidgets/Listbox"                  Target="TaharezLook/Listbox" />
-    <WindowAlias Alias="HUDWidgets/ListHeader"               Target="TaharezLook/ListHeader" />
-    <WindowAlias Alias="HUDWidgets/ListHeaderSegment"        Target="TaharezLook/ListHeaderSegment" />
-    <WindowAlias Alias="HUDWidgets/MultiLineEditbox"         Target="TaharezLook/MultiLineEditbox" />
-    <WindowAlias Alias="HUDWidgets/Menubar"                  Target="TaharezLook/Menubar" />
-    <WindowAlias Alias="HUDWidgets/MenuItem"                 Target="TaharezLook/MenuItem" />
-    <WindowAlias Alias="HUDWidgets/MultiColumnList"          Target="TaharezLook/MultiColumnList" />
-    <WindowAlias Alias="HUDWidgets/PopupMenu"                Target="TaharezLook/PopupMenu" />
-    <WindowAlias Alias="HUDWidgets/ProgressBar"              Target="TaharezLook/ProgressBar" />
-    <WindowAlias Alias="HUDWidgets/Button"                   Target="TaharezLook/Button" />
-    <WindowAlias Alias="HUDWidgets/ImageButton"              Target="TaharezLook/ImageButton" />
-    <WindowAlias Alias="HUDWidgets/RadioButton"              Target="TaharezLook/RadioButton" />
-    <WindowAlias Alias="HUDWidgets/SystemButton"             Target="TaharezLook/SystemButton" />
-    <WindowAlias Alias="HUDWidgets/ScrollablePane"           Target="TaharezLook/ScrollablePane" />
-    <WindowAlias Alias="HUDWidgets/HorizontalScrollbar"      Target="TaharezLook/HorizontalScrollbar" />
-    <WindowAlias Alias="HUDWidgets/VerticalScrollbar"        Target="TaharezLook/VerticalScrollbar" />
-    <WindowAlias Alias="HUDWidgets/Slider"                   Target="TaharezLook/Slider" />
-    <WindowAlias Alias="HUDWidgets/Spinner"                  Target="TaharezLook/Spinner" />
-    <WindowAlias Alias="HUDWidgets/TabButton"                Target="TaharezLook/TabButton" />
-    <WindowAlias Alias="HUDWidgets/TabControl"               Target="TaharezLook/TabControl" />
-    <WindowAlias Alias="HUDWidgets/HorizontalScrollbarThumb" Target="TaharezLook/HorizontalScrollbarThumb" />
-    <WindowAlias Alias="HUDWidgets/SliderThumb"              Target="TaharezLook/SliderThumb" />
-    <WindowAlias Alias="HUDWidgets/VerticalScrollbarThumb"   Target="TaharezLook/VerticalScrollbarThumb" />
-    <WindowAlias Alias="HUDWidgets/Titlebar"                 Target="TaharezLook/Titlebar" />
-    <WindowAlias Alias="HUDWidgets/Tooltip"                  Target="TaharezLook/Tooltip" />
-    <WindowAlias Alias="HUDWidgets/Tree"                     Target="TaharezLook/Tree" />
+<?xml version='1.0' encoding='utf-8'?>
+<GUIScheme name="TaharezHUDWidgets" version="5">
+    <WindowAlias alias="HUDWidgets/StaticImage" target="TaharezLook/StaticImage" />
+    <WindowAlias alias="HUDWidgets/StaticText" target="TaharezLook/StaticText" />
+    <WindowAlias alias="HUDWidgets/TabButtonPane" target="TaharezLook/TabButtonPane" />
+    <WindowAlias alias="HUDWidgets/TabContentPane" target="TaharezLook/TabContentPane" />
+    <WindowAlias alias="HUDWidgets/Checkbox" target="TaharezLook/Checkbox" />
+    <WindowAlias alias="HUDWidgets/Combobox" target="TaharezLook/Combobox" />
+    <WindowAlias alias="HUDWidgets/ComboDropList" target="TaharezLook/ComboDropList" />
+    <WindowAlias alias="HUDWidgets/ComboEditbox" target="TaharezLook/ComboEditbox" />
+    <WindowAlias alias="HUDWidgets/Editbox" target="TaharezLook/Editbox" />
+    <WindowAlias alias="HUDWidgets/FrameWindow" target="TaharezLook/FrameWindow" />
+    <WindowAlias alias="HUDWidgets/GroupBox" target="TaharezLook/GroupBox" />
+    <WindowAlias alias="HUDWidgets/ItemListbox" target="TaharezLook/ItemListbox" />
+    <WindowAlias alias="HUDWidgets/ListboxItem" target="TaharezLook/ListboxItem" />
+    <WindowAlias alias="HUDWidgets/Listbox" target="TaharezLook/Listbox" />
+    <WindowAlias alias="HUDWidgets/ListHeader" target="TaharezLook/ListHeader" />
+    <WindowAlias alias="HUDWidgets/ListHeaderSegment" target="TaharezLook/ListHeaderSegment" />
+    <WindowAlias alias="HUDWidgets/MultiLineEditbox" target="TaharezLook/MultiLineEditbox" />
+    <WindowAlias alias="HUDWidgets/Menubar" target="TaharezLook/Menubar" />
+    <WindowAlias alias="HUDWidgets/MenuItem" target="TaharezLook/MenuItem" />
+    <WindowAlias alias="HUDWidgets/MultiColumnList" target="TaharezLook/MultiColumnList" />
+    <WindowAlias alias="HUDWidgets/PopupMenu" target="TaharezLook/PopupMenu" />
+    <WindowAlias alias="HUDWidgets/ProgressBar" target="TaharezLook/ProgressBar" />
+    <WindowAlias alias="HUDWidgets/Button" target="TaharezLook/Button" />
+    <WindowAlias alias="HUDWidgets/ImageButton" target="TaharezLook/ImageButton" />
+    <WindowAlias alias="HUDWidgets/RadioButton" target="TaharezLook/RadioButton" />
+    <WindowAlias alias="HUDWidgets/SystemButton" target="TaharezLook/SystemButton" />
+    <WindowAlias alias="HUDWidgets/ScrollablePane" target="TaharezLook/ScrollablePane" />
+    <WindowAlias alias="HUDWidgets/HorizontalScrollbar" target="TaharezLook/HorizontalScrollbar" />
+    <WindowAlias alias="HUDWidgets/VerticalScrollbar" target="TaharezLook/VerticalScrollbar" />
+    <WindowAlias alias="HUDWidgets/Slider" target="TaharezLook/Slider" />
+    <WindowAlias alias="HUDWidgets/Spinner" target="TaharezLook/Spinner" />
+    <WindowAlias alias="HUDWidgets/TabButton" target="TaharezLook/TabButton" />
+    <WindowAlias alias="HUDWidgets/TabControl" target="TaharezLook/TabControl" />
+    <WindowAlias alias="HUDWidgets/HorizontalScrollbarThumb" target="TaharezLook/HorizontalScrollbarThumb" />
+    <WindowAlias alias="HUDWidgets/SliderThumb" target="TaharezLook/SliderThumb" />
+    <WindowAlias alias="HUDWidgets/VerticalScrollbarThumb" target="TaharezLook/VerticalScrollbarThumb" />
+    <WindowAlias alias="HUDWidgets/Titlebar" target="TaharezLook/Titlebar" />
+    <WindowAlias alias="HUDWidgets/Tooltip" target="TaharezLook/Tooltip" />
+    <WindowAlias alias="HUDWidgets/Tree" target="TaharezLook/Tree" />
 </GUIScheme>
Index: code/branches/ogre1.9/data/gui/schemes/TaharezLook.scheme
===================================================================
--- code/branches/ogre1.9/data/gui/schemes/TaharezLook.scheme	(revision 11128)
+++ code/branches/ogre1.9/data/gui/schemes/TaharezLook.scheme	(revision 11211)
@@ -1,53 +1,49 @@
-<?xml version="1.0" ?>
-<GUIScheme Name="TaharezLook">
-    <Imageset Name="TaharezLook" Filename="TaharezLook.imageset" />
-    <LookNFeel Filename="TaharezLook.looknfeel" />
-    <WindowRendererSet Filename="CEGUIFalagardWRBase" />
-
-    <!-- Standard widgets -->
-    <FalagardMapping WindowType="TaharezLook/StaticImage"              TargetType="DefaultWindow"           Renderer="Falagard/StaticImage"       LookNFeel="TaharezLook/StaticImage" />
-    <FalagardMapping WindowType="TaharezLook/StaticText"               TargetType="DefaultWindow"           Renderer="Falagard/StaticText"        LookNFeel="TaharezLook/StaticText" />
-    <FalagardMapping WindowType="TaharezLook/TabButtonPane"            TargetType="DefaultWindow"           Renderer="Falagard/Default"           LookNFeel="TaharezLook/TabButtonPane" />
-    <FalagardMapping WindowType="TaharezLook/TabContentPane"           TargetType="DefaultWindow"           Renderer="Falagard/Default"           LookNFeel="TaharezLook/TabContentPane" />
-    <FalagardMapping WindowType="TaharezLook/Checkbox"                 TargetType="CEGUI/Checkbox"          Renderer="Falagard/ToggleButton"      LookNFeel="TaharezLook/Checkbox" />
-    <FalagardMapping WindowType="TaharezLook/Combobox"                 TargetType="CEGUI/Combobox"          Renderer="Falagard/Default"           LookNFeel="TaharezLook/Combobox" />
-    <FalagardMapping WindowType="TaharezLook/ComboDropList"            TargetType="CEGUI/ComboDropList"     Renderer="Falagard/Listbox"           LookNFeel="TaharezLook/ComboDropList" />
-    <FalagardMapping WindowType="TaharezLook/ComboEditbox"             TargetType="CEGUI/Editbox"           Renderer="Falagard/Editbox"           LookNFeel="TaharezLook/ComboEditbox" />
-    <FalagardMapping WindowType="TaharezLook/Editbox"                  TargetType="CEGUI/Editbox"           Renderer="Falagard/Editbox"           LookNFeel="TaharezLook/Editbox" />
-    <FalagardMapping WindowType="TaharezLook/FrameWindow"              TargetType="CEGUI/FrameWindow"       Renderer="Falagard/FrameWindow"       LookNFeel="TaharezLook/FrameWindow" />
-    <FalagardMapping WindowType="TaharezLook/GroupBox"                 TargetType="CEGUI/GroupBox"          Renderer="Falagard/Default"           LookNFeel="TaharezLook/GroupBox" />
-    <FalagardMapping WindowType="TaharezLook/ItemListbox"              TargetType="CEGUI/ItemListbox"       Renderer="Falagard/ItemListbox"       LookNFeel="TaharezLook/ItemListbox" />
-    <FalagardMapping WindowType="TaharezLook/ListboxItem"              TargetType="CEGUI/ItemEntry"         Renderer="Falagard/ItemEntry"         LookNFeel="TaharezLook/ListboxItem" />
-    <FalagardMapping WindowType="TaharezLook/Listbox"                  TargetType="CEGUI/Listbox"           Renderer="Falagard/Listbox"           LookNFeel="TaharezLook/Listbox" />
-    <FalagardMapping WindowType="TaharezLook/ListHeader"               TargetType="CEGUI/ListHeader"        Renderer="Falagard/ListHeader"        LookNFeel="TaharezLook/ListHeader" />
-    <FalagardMapping WindowType="TaharezLook/ListHeaderSegment"        TargetType="CEGUI/ListHeaderSegment" Renderer="Falagard/ListHeaderSegment" LookNFeel="TaharezLook/ListHeaderSegment" />
-    <FalagardMapping WindowType="TaharezLook/MultiLineEditbox"         TargetType="CEGUI/MultiLineEditbox"  Renderer="Falagard/MultiLineEditbox"  LookNFeel="TaharezLook/MultiLineEditbox" />
-    <FalagardMapping WindowType="TaharezLook/Menubar"                  TargetType="CEGUI/Menubar"           Renderer="Falagard/Menubar"           LookNFeel="TaharezLook/Menubar" />
-    <FalagardMapping WindowType="TaharezLook/MenuItem"                 TargetType="CEGUI/MenuItem"          Renderer="Falagard/MenuItem"          LookNFeel="TaharezLook/MenuItem" />
-    <FalagardMapping WindowType="TaharezLook/MultiColumnList"          TargetType="CEGUI/MultiColumnList"   Renderer="Falagard/MultiColumnList"   LookNFeel="TaharezLook/MultiColumnList" />
-    <FalagardMapping WindowType="TaharezLook/PopupMenu"                TargetType="CEGUI/PopupMenu"         Renderer="Falagard/PopupMenu"         LookNFeel="TaharezLook/PopupMenu" />
-    <FalagardMapping WindowType="TaharezLook/ProgressBar"              TargetType="CEGUI/ProgressBar"       Renderer="Falagard/ProgressBar"       LookNFeel="TaharezLook/ProgressBar" />
-    <FalagardMapping WindowType="TaharezLook/Button"                   TargetType="CEGUI/PushButton"        Renderer="Falagard/Button"            LookNFeel="TaharezLook/Button" />
-    <FalagardMapping WindowType="TaharezLook/ImageButton"              TargetType="CEGUI/PushButton"        Renderer="Falagard/Button"            LookNFeel="TaharezLook/ImageButton" />
-    <FalagardMapping WindowType="TaharezLook/RadioButton"              TargetType="CEGUI/RadioButton"       Renderer="Falagard/ToggleButton"      LookNFeel="TaharezLook/RadioButton" />
-    <FalagardMapping WindowType="TaharezLook/SystemButton"             TargetType="CEGUI/PushButton"        Renderer="Falagard/SystemButton"      LookNFeel="TaharezLook/Button" />
-    <FalagardMapping WindowType="TaharezLook/ScrollablePane"           TargetType="CEGUI/ScrollablePane"    Renderer="Falagard/ScrollablePane"    LookNFeel="TaharezLook/ScrollablePane" />
-    <FalagardMapping WindowType="TaharezLook/HorizontalScrollbar"      TargetType="CEGUI/Scrollbar"         Renderer="Falagard/Scrollbar"         LookNFeel="TaharezLook/HorizontalScrollbar" />
-    <FalagardMapping WindowType="TaharezLook/VerticalScrollbar"        TargetType="CEGUI/Scrollbar"         Renderer="Falagard/Scrollbar"         LookNFeel="TaharezLook/VerticalScrollbar" />
-    <FalagardMapping WindowType="TaharezLook/Slider"                   TargetType="CEGUI/Slider"            Renderer="Falagard/Slider"            LookNFeel="TaharezLook/Slider" />
-    <FalagardMapping WindowType="TaharezLook/Spinner"                  TargetType="CEGUI/Spinner"           Renderer="Falagard/Default"           LookNFeel="TaharezLook/Spinner" />
-    <FalagardMapping WindowType="TaharezLook/TabButton"                TargetType="CEGUI/TabButton"         Renderer="Falagard/TabButton"         LookNFeel="TaharezLook/TabButton" />
-    <FalagardMapping WindowType="TaharezLook/TabControl"               TargetType="CEGUI/TabControl"        Renderer="Falagard/TabControl"        LookNFeel="TaharezLook/TabControl" />
-    <FalagardMapping WindowType="TaharezLook/HorizontalScrollbarThumb" TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"            LookNFeel="TaharezLook/HorizontalScrollbarThumb" />
-    <FalagardMapping WindowType="TaharezLook/SliderThumb"              TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"            LookNFeel="TaharezLook/SliderThumb" />
-    <FalagardMapping WindowType="TaharezLook/VerticalScrollbarThumb"   TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"            LookNFeel="TaharezLook/VerticalScrollbarThumb" />
-    <FalagardMapping WindowType="TaharezLook/Titlebar"                 TargetType="CEGUI/Titlebar"          Renderer="Falagard/Titlebar"          LookNFeel="TaharezLook/Titlebar" />
-    <FalagardMapping WindowType="TaharezLook/Tooltip"                  TargetType="CEGUI/Tooltip"           Renderer="Falagard/Tooltip"           LookNFeel="TaharezLook/Tooltip" />
-    <FalagardMapping WindowType="TaharezLook/Tree"                     TargetType="CEGUI/Tree"              Renderer="Falagard/Tree"              LookNFeel="TaharezLook/Tree" />
-
-    <!-- Additional widgets -->
-    <FalagardMapping WindowType="TaharezLook/AlternateProgressBar"        TargetType="CEGUI/ProgressBar"       Renderer="Falagard/ProgressBar"       LookNFeel="TaharezLook/AltProgressBar" />
-    <FalagardMapping WindowType="TaharezLook/VUMeter"                     TargetType="CEGUI/ProgressBar"       Renderer="Falagard/ProgressBar"       LookNFeel="TaharezLook/VUMeter" />
-    <FalagardMapping WindowType="TaharezLook/LargeVerticalScrollbar"      TargetType="CEGUI/Scrollbar"         Renderer="Falagard/Scrollbar"         LookNFeel="TaharezLook/LargeVerticalScrollbar" />
-    <FalagardMapping WindowType="TaharezLook/LargeVerticalScrollbarThumb" TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"            LookNFeel="TaharezLook/LargeVerticalScrollbarThumb" />
+<?xml version='1.0' encoding='utf-8'?>
+<GUIScheme name="TaharezLook" version="5">
+    <Imageset filename="TaharezLook.imageset" name="TaharezLook" />
+    <LookNFeel filename="TaharezLook.looknfeel" />
+    <WindowRendererSet filename="CEGUICoreWindowRendererSet" />
+    <FalagardMapping lookNFeel="TaharezLook/StaticImage" renderer="Core/StaticImage" targetType="DefaultWindow" windowType="TaharezLook/StaticImage" />
+    <FalagardMapping lookNFeel="TaharezLook/StaticText" renderer="Core/StaticText" targetType="DefaultWindow" windowType="TaharezLook/StaticText" />
+    <FalagardMapping lookNFeel="TaharezLook/TabButtonPane" renderer="Core/Default" targetType="DefaultWindow" windowType="TaharezLook/TabButtonPane" />
+    <FalagardMapping lookNFeel="TaharezLook/TabContentPane" renderer="Core/Default" targetType="DefaultWindow" windowType="TaharezLook/TabContentPane" />
+    <FalagardMapping lookNFeel="TaharezLook/Checkbox" renderer="Core/ToggleButton" targetType="CEGUI/ToggleButton" windowType="TaharezLook/Checkbox" />
+    <FalagardMapping lookNFeel="TaharezLook/Combobox" renderer="Core/Default" targetType="CEGUI/Combobox" windowType="TaharezLook/Combobox" />
+    <FalagardMapping lookNFeel="TaharezLook/ComboDropList" renderer="Core/Listbox" targetType="CEGUI/ComboDropList" windowType="TaharezLook/ComboDropList" />
+    <FalagardMapping lookNFeel="TaharezLook/ComboEditbox" renderer="Core/Editbox" targetType="CEGUI/Editbox" windowType="TaharezLook/ComboEditbox" />
+    <FalagardMapping lookNFeel="TaharezLook/Editbox" renderer="Core/Editbox" targetType="CEGUI/Editbox" windowType="TaharezLook/Editbox" />
+    <FalagardMapping lookNFeel="TaharezLook/FrameWindow" renderer="Core/FrameWindow" targetType="CEGUI/FrameWindow" windowType="TaharezLook/FrameWindow" />
+    <FalagardMapping lookNFeel="TaharezLook/GroupBox" renderer="Core/Default" targetType="CEGUI/GroupBox" windowType="TaharezLook/GroupBox" />
+    <FalagardMapping lookNFeel="TaharezLook/ItemListbox" renderer="Core/ItemListbox" targetType="CEGUI/ItemListbox" windowType="TaharezLook/ItemListbox" />
+    <FalagardMapping lookNFeel="TaharezLook/ListboxItem" renderer="Core/ItemEntry" targetType="CEGUI/ItemEntry" windowType="TaharezLook/ListboxItem" />
+    <FalagardMapping lookNFeel="TaharezLook/Listbox" renderer="Core/Listbox" targetType="CEGUI/Listbox" windowType="TaharezLook/Listbox" />
+    <FalagardMapping lookNFeel="TaharezLook/ListHeader" renderer="Core/ListHeader" targetType="CEGUI/ListHeader" windowType="TaharezLook/ListHeader" />
+    <FalagardMapping lookNFeel="TaharezLook/ListHeaderSegment" renderer="Core/ListHeaderSegment" targetType="CEGUI/ListHeaderSegment" windowType="TaharezLook/ListHeaderSegment" />
+    <FalagardMapping lookNFeel="TaharezLook/MultiLineEditbox" renderer="Core/MultiLineEditbox" targetType="CEGUI/MultiLineEditbox" windowType="TaharezLook/MultiLineEditbox" />
+    <FalagardMapping lookNFeel="TaharezLook/Menubar" renderer="Core/Menubar" targetType="CEGUI/Menubar" windowType="TaharezLook/Menubar" />
+    <FalagardMapping lookNFeel="TaharezLook/MenuItem" renderer="Core/MenuItem" targetType="CEGUI/MenuItem" windowType="TaharezLook/MenuItem" />
+    <FalagardMapping lookNFeel="TaharezLook/MultiColumnList" renderer="Core/MultiColumnList" targetType="CEGUI/MultiColumnList" windowType="TaharezLook/MultiColumnList" />
+    <FalagardMapping lookNFeel="TaharezLook/PopupMenu" renderer="Core/PopupMenu" targetType="CEGUI/PopupMenu" windowType="TaharezLook/PopupMenu" />
+    <FalagardMapping lookNFeel="TaharezLook/ProgressBar" renderer="Core/ProgressBar" targetType="CEGUI/ProgressBar" windowType="TaharezLook/ProgressBar" />
+    <FalagardMapping lookNFeel="TaharezLook/Button" renderer="Core/Button" targetType="CEGUI/PushButton" windowType="TaharezLook/Button" />
+    <FalagardMapping lookNFeel="TaharezLook/ImageButton" renderer="Core/Button" targetType="CEGUI/PushButton" windowType="TaharezLook/ImageButton" />
+    <FalagardMapping lookNFeel="TaharezLook/RadioButton" renderer="Core/ToggleButton" targetType="CEGUI/RadioButton" windowType="TaharezLook/RadioButton" />
+    <FalagardMapping lookNFeel="TaharezLook/Button" renderer="Core/Button" targetType="CEGUI/PushButton" windowType="TaharezLook/SystemButton" />
+    <FalagardMapping lookNFeel="TaharezLook/ScrollablePane" renderer="Core/ScrollablePane" targetType="CEGUI/ScrollablePane" windowType="TaharezLook/ScrollablePane" />
+    <FalagardMapping lookNFeel="TaharezLook/HorizontalScrollbar" renderer="Core/Scrollbar" targetType="CEGUI/Scrollbar" windowType="TaharezLook/HorizontalScrollbar" />
+    <FalagardMapping lookNFeel="TaharezLook/VerticalScrollbar" renderer="Core/Scrollbar" targetType="CEGUI/Scrollbar" windowType="TaharezLook/VerticalScrollbar" />
+    <FalagardMapping lookNFeel="TaharezLook/Slider" renderer="Core/Slider" targetType="CEGUI/Slider" windowType="TaharezLook/Slider" />
+    <FalagardMapping lookNFeel="TaharezLook/Spinner" renderer="Core/Default" targetType="CEGUI/Spinner" windowType="TaharezLook/Spinner" />
+    <FalagardMapping lookNFeel="TaharezLook/TabButton" renderer="Core/TabButton" targetType="CEGUI/TabButton" windowType="TaharezLook/TabButton" />
+    <FalagardMapping lookNFeel="TaharezLook/TabControl" renderer="Core/TabControl" targetType="CEGUI/TabControl" windowType="TaharezLook/TabControl" />
+    <FalagardMapping lookNFeel="TaharezLook/HorizontalScrollbarThumb" renderer="Core/Button" targetType="CEGUI/Thumb" windowType="TaharezLook/HorizontalScrollbarThumb" />
+    <FalagardMapping lookNFeel="TaharezLook/SliderThumb" renderer="Core/Button" targetType="CEGUI/Thumb" windowType="TaharezLook/SliderThumb" />
+    <FalagardMapping lookNFeel="TaharezLook/VerticalScrollbarThumb" renderer="Core/Button" targetType="CEGUI/Thumb" windowType="TaharezLook/VerticalScrollbarThumb" />
+    <FalagardMapping lookNFeel="TaharezLook/Titlebar" renderer="Core/Titlebar" targetType="CEGUI/Titlebar" windowType="TaharezLook/Titlebar" />
+    <FalagardMapping lookNFeel="TaharezLook/Tooltip" renderer="Core/Tooltip" targetType="CEGUI/Tooltip" windowType="TaharezLook/Tooltip" />
+    <FalagardMapping lookNFeel="TaharezLook/Tree" renderer="Core/Tree" targetType="CEGUI/Tree" windowType="TaharezLook/Tree" />
+    <FalagardMapping lookNFeel="TaharezLook/AltProgressBar" renderer="Core/ProgressBar" targetType="CEGUI/ProgressBar" windowType="TaharezLook/AlternateProgressBar" />
+    <FalagardMapping lookNFeel="TaharezLook/VUMeter" renderer="Core/ProgressBar" targetType="CEGUI/ProgressBar" windowType="TaharezLook/VUMeter" />
+    <FalagardMapping lookNFeel="TaharezLook/LargeVerticalScrollbar" renderer="Core/Scrollbar" targetType="CEGUI/Scrollbar" windowType="TaharezLook/LargeVerticalScrollbar" />
+    <FalagardMapping lookNFeel="TaharezLook/LargeVerticalScrollbarThumb" renderer="Core/Button" targetType="CEGUI/Thumb" windowType="TaharezLook/LargeVerticalScrollbarThumb" />
 </GUIScheme>
